<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>
    <extension
        point="org.eclipse.ant.core.extraClasspathEntries">
        <extraClasspathEntry
            library="wtpRelengTools.jar">
        </extraClasspathEntry>
    </extension>
    <!-- Tasks -->
    <extension
        point="org.eclipse.ant.core.antTasks">
        <!-- not ready 
        <antTask
            library="wtpRelengTools.jar"
            name="addRepoProperties"
            class="org.eclipse.wtp.releng.tools.AddRepoProperties">
        </antTask>
        -->
        <antTask
            library="wtpRelengTools.jar"
            name="summarizeResults"
            class="org.eclipse.wtp.releng.tools.ResultsSummaryGenerator">
        </antTask>
        <antTask
            library="wtpRelengTools.jar"
            name="countBuildFiles"
            class="org.eclipse.wtp.releng.tools.FileCounter">
        </antTask>
        <antTask
            library="wtpRelengTools.jar"
            name="customizeAccessRules"
            class="org.eclipse.wtp.releng.tools.CustomizeAccessRules">
        </antTask>
        <antTask
            library="wtpRelengTools.jar"
            name="updatePackProperties"
            class="org.eclipse.wtp.releng.tools.UpdatePackPropertiesFile">
        </antTask>
        <antTask
            library="wtpRelengTools.jar"
            name="generateMapFiles"
            class="org.eclipse.wtp.releng.tools.MapFileGenerator">
        </antTask>
        <antTask
            library="wtpRelengTools.jar"
            name="writePropertiesAsPHP"
            class="org.eclipse.wtp.releng.tools.WritePropertiesAsPHP">
        </antTask>        
    </extension>
    <extension
        id="addRepoProperties"
        name="%application.name"
        point="org.eclipse.core.runtime.applications">
        <application
            cardinality="singleton-global"
            thread="any"
            visible="true">
            <run
                class="org.eclipse.wtp.releng.tools.AddRepoPropertiesApplication">
            </run>

        </application>
    </extension>
</plugin>
